Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.output.eepic
Interface EepicConstants

All Superinterfaces:
  LatexConstants

All Known Implementing Classes:
  AbstractCurveFormatter, EepicCustomizer, EepicFormatter, PicParallelogramFormatter

public interface EepicConstants
extends LatexConstants

Constants useful for Eepic formatters

Field Summary
`static String` | `DEFAULT_FILE_WRAPPER_EPILOG`
`static String` | `DEFAULT_FILE_WRAPPER_PROLOG`
`static double` | `DEFAULT_THICK_LINES_MAX_WIDTH` all lines with a thickness .lt.
`static double` | `DEFAULT_THIN_LINES_MAX_WIDTH` all lines with a thickness .lt.
`static String` | `KEY_FILE_WRAPPER_EPILOG`
`static String` | `KEY_FILE_WRAPPER_PROLOG`
`static String` | `KEY_THICK_LINES_MAXWIDTH`
`static String` | `KEY_THIN_LINES_MAXWIDTH`

Fields inherited from interface jpicedt.format.output.latex.LatexConstants
`CR_LF, DEFAULT_EM_LINE_LENGTH, DEFAULT_MAX_CIRCLE_DIAMETER, DEFAULT_MAX_DISK_DIAMETER, DEFAULT_MAX_EM_CIRCLE_SEGMENT_LENGTH, DEFAULT_MAX_EM_LINE_SLOPE, KEY_EM_LINE_LENGTH, KEY_MAX_CIRCLE_DIAMETER, KEY_MAX_DISK_DIAMETER, KEY_MAX_EM_CIRCLE_SEGMENT_LENGTH, KEY_MAX_EM_LINE_SLOPE, RESCALING_TEX_FUNCTION`

Field Detail

### KEY_THIN_LINES_MAXWIDTH

    public static final String KEY_THIN_LINES_MAXWIDTH

See Also:
  Constant Field Values

### KEY_THICK_LINES_MAXWIDTH

    public static final String KEY_THICK_LINES_MAXWIDTH

See Also:
  Constant Field Values

### KEY_FILE_WRAPPER_PROLOG

    public static final String KEY_FILE_WRAPPER_PROLOG

See Also:
  Constant Field Values

### KEY_FILE_WRAPPER_EPILOG

    public static final String KEY_FILE_WRAPPER_EPILOG

See Also:
  Constant Field Values

### DEFAULT_THIN_LINES_MAX_WIDTH

    public static final double DEFAULT_THIN_LINES_MAX_WIDTH

  all lines with a thickness .lt. thinLinesDEFAULT are formatted as "thinlines"

  See Also:
    Constant Field Values

### DEFAULT_THICK_LINES_MAX_WIDTH

    public static final double DEFAULT_THICK_LINES_MAX_WIDTH

  all lines with a thickness .lt. thickLinesDEFAULT but greater than thinLinesDEFAULT are formatted as "thicklines" ; other are formatted as "Thicklines" (case-sensitive !)

  See Also:
    Constant Field Values

### DEFAULT_FILE_WRAPPER_PROLOG

    public static final String DEFAULT_FILE_WRAPPER_PROLOG

### DEFAULT_FILE_WRAPPER_EPILOG

    public static final String DEFAULT_FILE_WRAPPER_EPILOG

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org